Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Author: Markus Mottl
Packaged-By: Mehdi Dogguy <mehdi@debian.org>
Packaged-Date: Sun Jan 17 20:30:13 CET 2016
Original-Source-Location: https://github.com/mmottl/gsl-ocaml/

Files: *
Copyright: © 2002-2012 Olivier Andrieu
           © 2013      Paul Pelzl
           © 2014-2015 Markus Mottl
License: GPL-3
 gsl-ocaml is distributed under the terms the GPL v3 license, which can
 be found in the /usr/share/common-licenses/GPL-3 file on debian systems.

Files: lib/gsl_version.ml
Copyright: © 2014 Markus Mottl
License: LGPL-2+

Files: lib/io.h
Copyright: © 1996 Institut National de Recherche en Informatique et Automatique
License: GPL-any | other

This file is extracted from ocaml source package and refer to "the special
exception on linking". Here is this exception from OCaml copyright.

As a special exception to the GNU Library General Public License, you
may link, statically or dynamically, a "work that uses the Library"
with a publicly distributed version of the Library to produce an
executable file containing portions of the Library, and distribute
that executable file under terms of your choice, without any of the
additional requirements listed in clause 6 of the GNU Library General
Public License.  By "a publicly distributed version of the Library",
we mean either the unmodified Library as distributed by INRIA, or a
modified version of the Library that is distributed under the
conditions defined in clause 3 of the GNU Library General Public
License.  This exception does not however invalidate any other reasons
why the executable file might be covered by the GNU Library General
Public License.

OCaml copyright information could be found in file
/usr/share/doc/ocaml/copyright on Debian system.

Files: debian/*
Copyright: © 2006 Sylvain Le Gall
           © 2016 Mehdi Dogguy
License: GPL-2+

On Debian system GNU General Public License can be found in
/usr/share/common-licenses/GPL.
